---
document: modulemd
version: 2
data:
  name: ruby
  stream: "2.5"
  version: 8050020211210114940
  context: 9edba152
  arch: ppc64le
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-devel
    - ruby-irb
    - ruby-libs
    - rubygem-abrt
    - rubygem-bigdecimal
    - rubygem-bson
    - rubygem-bundler
    - rubygem-did_you_mean
    - rubygem-io-console
    - rubygem-json
    - rubygem-minitest
    - rubygem-mongo
    - rubygem-mysql2
    - rubygem-net-telnet
    - rubygem-openssl
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rdoc
    - rubygem-test-unit
    - rubygem-xmlrpc
    - rubygems
    - rubygems-devel
  buildopts:
    rpms:
      macros: >
        %_without_rubypick 1
  components:
    rpms:
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: stream-ruby-2.5-rhel-8.4.0
        buildorder: 101
        multilib: [x86_64]
      rubygem-abrt:
        rationale: ABRT support for Ruby
        ref: stream-ruby-2.5-rhel-8.4.0
        buildorder: 102
      rubygem-bson:
        rationale: Ruby Implementation of the BSON specification
        ref: stream-ruby-2.5-rhel-8.4.0
        buildorder: 102
      rubygem-bundler:
        rationale: Library and utilities to manage a Ruby application's gem dependencies
        ref: stream-ruby-2.5-rhel-8.4.0
        buildorder: 102
      rubygem-mongo:
        rationale: Ruby driver for MongoDB
        ref: stream-ruby-2.5-rhel-8.4.0
        buildorder: 103
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: stream-ruby-2.5-rhel-8.4.0
        buildorder: 102
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: stream-ruby-2.5-rhel-8.4.0
        buildorder: 102
...
